Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154821 - Function lsim don't work
Summary: Function lsim don't work
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: octave
Version: 3
Hardware: i686
OS: Linux
medium
high
Target Milestone: ---
Assignee: Ivana Varekova
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-14 13:48 UTC by CC_ETSII_ULL
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-05 08:00:45 UTC


Attachments (Terms of Use)

Description CC_ETSII_ULL 2005-04-14 13:48:24 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041107 Firefox/1.0

Description of problem:

When I run this script don't work, the process octave remain congeaded.
The process octave consumes CPU and it is disappointed.

num=2;
denum=[1 1];
sys1=tf(num, denum, 0);
t=[1:1:300];
u=ones(300,1);
y1=lsim(sys1,u,t);
                                                                                                                             
The computer load goes up:

                                                                                                                             PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND
7043 root      25   0 33840  19m 4648 R **99.5**  8.0   0:31.84 octave






Version-Release number of selected component (if applicable):
octave-2.1.57-7

How reproducible:
Always

Steps to Reproduce:
1. Install octave:
   apt-get install octave
2. Create the script test.m:

num=2;
denum=[1 1];
sys1=tf(num, denum, 0);
t=[1:1:300];
u=ones(300,1);
y1=lsim(sys1,u,t);

3. Run octave
4. Run the script: 
   octave:1> test


Actual Results:  The process octave consumes CPU and it is disappointed.
If you run top:
                                                                                                                             
  PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND
 7043 root      25   0 33840  19m 4648 R 99.5  8.0   0:31.84 octave


Expected Results:  vector y1 get the values of the function lsim

Additional info:

some problems with blas or lapack, libf2c packages???

Comment 1 CC_ETSII_ULL 2005-04-14 15:14:14 UTC
 I replace the library lapack-3.0-25 for lapack-3.0-14. I copy from a redhat 7.3
 /usr/lib/lapack* to my directory. 
       !!! And the lsim function in octave runs fine. !!!

  So i think that lapack-3.0.25 dont work fine.

Comment 2 Ivana Varekova 2005-05-05 08:00:45 UTC
This is lapack problem. This problem is fixed in the latest fc3 lapack version
(lapack-3.0-26.fc3).
Ivana Varekova


Note You need to log in before you can comment on or make changes to this bug.